{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
    <script src="{{ asset('js/ihm.js') }}" type="application/javascript"></script>
{% endblock %}

{% block title %}
    - Show Deck
{% endblock %}

{% set isOwner = app.user == deckDB.owner %}
{% set isPublic = not deckDB.private %}

{% block content %}
    {% if not isOwner %}
    <h1>Deck de
        <a href="{{ path('user', {'id' : deckDB.owner.id })}}">{{ deckDB.owner.displayName }}</a>
    </h1>
    {% endif %}

    <div id="msg">

    </div>

    <div id="rightMenu" style="float:right; position:relative;">
        {# TODO Implement ShowDeck RightMenu options
        <a href="{{ path('editDeck', { 'id' : deckDB.id }) }}" class="button"
           onmouseover="showTip(this,'Modifier les cartes', 'Cliquez ici pour ajouter des cartes à ce pack.');"
           onmouseout="hideTip()">
            Modifier les cartes
        </a>
        <a href="#duel/opponents" class="button"
           onmouseover="showTip(this,'Arène', 'Affrontez les autres joueurs pour gagner de l\'<b>expérience</b> et monter dans le classement !');"
           onmouseout="hideTip()">
            Arène
        </a>
        <a href="#duel/trOpponents?id=867665" class="button"
           onmouseover="showTip(this,'Défier un ami', '<strong>défis restants : 5</strong><br />vous disposez de 5 défis entre amis par jour.<br />  Défier un ami ne rapporte pas d\'expérience mais ne coûte pas de partie quotidienne.');"
           onmouseout="hideTip()">
            Défier un ami (5)
        </a>
        <a href="#duel/test" class="button"
           onmouseover="showTip(this,'Tester le pack', 'Un maître du Dojo que vous avez déjà battu est disponible chaque jour pour tester vos packs à l\'infini ! <br /><b>Tester un pack est illimité mais ne rapporte pas d\'expérience.</b>');"
           onmouseout="hideTip()">
            Tester le pack
        </a>    
        <a href="#duel/history?id=867665" class="button"
           onmouseover="showTip(this,'Historique', 'Voir l\'historique des combats de <b>DinocardPlus</b>.');"
           onmouseout="hideTip()">Historique</a>
        #}
        {% if isOwner %}
            <a href="{{ path('fightWithDeck', { 'id': deckDB.id }) }}" class="button"
               onmouseover="showTip(this,'Tester le Deck', 'Vous pouvez tester votre deck contre un deck généré aléatoirement. Cette action est illimité mais ne rapporte pas d\'expérience.</b>');"
               onmouseout="hideTip()">
                Tester le pack
            </a>
            <a href="javascript:requestDelete('fPackInfo', {{ deckDB.id }});" class="button"
               onmouseover="showTip(this, 'Dissoudre', 'Dissoudre ce pack vous permet de récupérer ses cartes pour créer de nouveaux packs ou faire des échanges. <br /><b>Attention : </b>Cette action est irréversible. Le niveau atteint par ce pack et ses points de compétences seront perdus.');"
               onmouseout="hideTip()">
                Dissoudre
            </a>
            {% if isPublic %}
                <a href="{{ path('togglePrivate', { 'id': deckDB.id }) }}" class="button"
                onmouseover="showTip(this,'Rendre le pack privé', 'Passer ce pack en privé, les autres joueurs ne pourront plus le visualiser.</b>');"
                onmouseout="hideTip()">
                    Rendre le pack privé
                </a>
            {% else %}
                <a href="{{ path('togglePrivate', { 'id': deckDB.id }) }}" class="button"
                onmouseover="showTip(this,'Rendre le pack public', 'Passer ce pack en public, les autres joueurs pourront de nouveau le visualiser.</b>');"
                onmouseout="hideTip()">
                    Rendre le pack public
                </a>
            {% endif %}
        {% else %}
            {% if app.user.hasAnyDeck %}
                <a href="{{ path('fightInArena', { 'id' : app.user.getFirstDeck.id, 'otherId' : deckDB.id }) }}" class="button"
                   onmouseover="showTip(this,'Combattre ce deck', 'Vous pouvez tester votre deck contre le deck de ce joueur. Cette action est illimité mais ne rapporte pas d\'expérience.</b>');"
                   onmouseout="hideTip()">
                    Combattre ce deck
                </a>
            {% endif %}
        {% endif %}
    </div>

    <form name="fPackInfo" id="fPackInfo" method="post">
        <input name="packId" type="hidden" value="{{ deckDB.id }}">
        {# What is that?
        <input name="downPack" type="hidden" id="downPack" value="867665">
        <input name="dir" type="hidden" value="info">
        #}
    </form>

    <div class="infoPack">
        <div class="avatar">
        </div>
        <div class="pack">
            <div class="topBox">
                <div class="levelBox">1</div>

                <div class="packName">
                    <span class="packName">{{ deckDB.name }}</span>
                    &nbsp; [ {{ deckDB.totalCardsCount }} cartes ] <span class="date"> créé le {{ deckDB.createdAt | date( 'd/m/Y à h:m:s', 'Europe/Paris' ) }}</span></div>
                <div class="packElements">
                    <img class="icon" alt="icon wood" src="{{ asset('img/gfx/icons/element_unknown.gif') }}"
                         onmouseover="showTip(this, 'Elément', 'TODO');"
                         onmouseout="hideTip()">
                </div>
            </div>

            <div class="leftBox">
                <div class="victoryBox">Victoire : {{ deckDB.victoryRatio }}%
                    <div class="xpBorder">
                        <div class="xpBar" style="width : {{ deckDB.victoryRatio }}% ;"></div>
                    </div>
                </div>
                <div class="xpBox">Expérience : {{ deckDB.experienceRatio }}%
                    <div class="xpBorder">
                        <div class="xpBar" style="width : {{ deckDB.experienceRatio }}% ;"></div>
                    </div>
                </div>
            </div>

            <div class="middleBox">
                <div class="smallTxt">Parties restantes</div>
                <img class="icon" alt="fight dinocard" src="{{ asset('img/gfx/icons/fight.gif') }}">
                <img class="icon" alt="fight dinocard" src="{{ asset('img/gfx/icons/fight.gif') }}">
            </div>

            <div class="rightBox">
                <div class="skillBox">
                    <span id="4" onmouseover="showTip(this,'Perception', 'Ce pack voit <b>3</b> adversaires dans l\'arène.<br />Chaque point en Perception vous permet de voir 2 adversaires de plus dans l\'arène.');"
                          onmouseout="hideTip()"> 0 </span>
                </div>
                <div class="skillBox">
                    <span id="3"
                          onmouseover="showTip(this,'Stratégie', 'La stratégie vous permet de voir des informations sur vos adversaires avant de les combattre. Leurs éléments majeurs, leurs points de vie.... jusqu\'à voir les cartes qu\'ils jouent.');"
                          onmouseout="hideTip()"> 0 </span>
                </div>
                <div class="skillBox">
                    <span id="1"
                          onmouseover="showTip(this,'Cartes bonus', 'Vous pouvez ajouter 1 carte à ce pack avant un combat, pour l\'adapter à la stratégie adverse. </div>');"
                          onmouseout="hideTip()"> 1 </span>
                </div>
                <div class="skillBox">
                    <span id="2"
                          onmouseover="showTip(this,'Points de vie', 'Ce pack commence ses duels avec 10 points de vie.');"
                          onmouseout="hideTip()"> 10 </span>
                </div>
            </div>
        </div>
    </div>

    {#
    <span class="smalltxt"
          onmouseover="showTip(this,'Description', 'La description de votre pack apparait aux autres joueurs, dans l\'arène ou sur votre fiche. La description est limitée à 220 caractères.');"
          onmouseout="hideTip()"> Description </span>
    <form name="fDescription" method="post" action="/pack/setDesc">
        <input name="packId" type="hidden" value="867665">

        <div class="packTxt">
            <textarea cols="60" name="desc" wrap="virtual" onkeyup="setPackDesc() ;" id="desc" rows="4">{{ deck.description }}</textarea>
        </div>
        <input class="button" type="submit" value="Valider">
    </form>
    #}

    <br>

    {% if isOwner or isPublic %}
        <div id="folderBox">
            {#
            <ul class="folders">
                <li class="active" id="folder1">Cartes</li>
                <li class="disable" id="folder2"><a href="/user/switchCollectionView">Tableau</a></li>
            </ul>
            #}
            <div id="boxContainer">
                <div id="cardCollection">
                    {% for cardDB in deckDB.cards %}
                        {{ include('Card/card.html.twig', { 'card': cardFactory.loadCard(cardDB.cardId), 'showCard': true, 'amount': cardDB.amount }) }}
                    {% endfor %}
                </div>
            </div>
        </div>
    {% else %}
        <h2>Ce pack est actuellement privé, impossible de le voir pour le moment.
    </h2>
    {% endif %}
{% endblock %}